actually you don't need to downgrade bootloader. you can activate/jailbreak 1.1.4 with ziphone v2.5 and then unlock with v2.3. This gives you unlocked 1.1.4/bl4.6/bb 04.02.